#!/bin/bash
#
#
# 	Script à lancer pour l'installation d'une application Vitis
#
#   Paramètres obligatoires :
#       --app_path : chemin vers le répertoire d'installation d'application
#
#

for i in "$@"
do
case $i in
  # param app_path
  --app_path=*)
  app_path="${i#*=}"
  shift
  ;;
esac
done

if [ -z ${app_path+x} ]
then
  echo "--app_path required"
  exit 1
fi

cd $app_path
echo "---- Clone Repos ----"

if [ -d src ]; then
  mkdir -p src
fi

git clone git@gitlab.veremes.net:Development/vitis-2020/sources/vitis.git src/vitis
git clone git@gitlab.veremes.net:Development/vitis-2020/sources/module_vmap.git src/module_vmap
git clone git@gitlab.veremes.net:Development/vitis-2020/sources/module-cadastre-2020.git src/module_cadastre
git clone git@gitlab.veremes.net:Development/vitis-2020/sources/module_anc.git src/module_anc
git clone git@gitlab.veremes.net:Development/vitis-2020/sources/module_eclairage_public.git src/module_eclairage_public