#!/bin/bash
#
#
# 	Script à lancer pour l'installation d'une application Vitis
#
#   Paramètres obligatoires :
#       --app_path : chemin vers le répertoire d'installation d'application
#
#

for i in "$@"
do
case $i in
  # param app_path
  --app_path=*)
  app_path="${i#*=}"
  shift
  ;;
esac
done

if [ -z ${app_path+x} ]
then
  echo "--app_path required"
  exit 1
fi

cd $app_path
echo "---- Generate Client ----"
mkdir -p client
empty=`ls -a client | sed -e "/\.$/d" | wc -l`

if [ $empty -eq 0 ]
then
  echo "---- Mount module's assets folder ----"
  sudo mount --bind src/vitis/client client
  mkdir -p client/src/modules/vmap
  sudo mount --bind src/module_vmap/module client/src/modules/vmap
  mkdir -p client/src/conf
  sudo mount --bind conf client/src/conf

  # Motage des modules Angular
  if [ -f conf/modules-components.ts ]; then
    cp -f conf/modules-components.ts src/vitis/client/src/app/modules/modules-components.ts
  else
    cp -f src/vitis/client/src/app/modules/modules-components.sample.ts src/vitis/client/src/app/modules/modules-components.ts
  fi
  if [ -d src/module_vmap/module/components ]; then
    mkdir src/vitis/client/src/app/modules/vmap
    sudo mount --bind src/module_vmap/module/components client/src/app/modules/vmap
  fi
fi

echo "---- Generate VAS ----"
mkdir -p vas
empty=`ls -a vas | sed -e "/\.$/d" | wc -l`

if [ $empty -eq 0 ]
then
  echo "---- Mount module's WebServices folder ----"
  sudo mount --bind src/vitis/vas vas
  mkdir -p vas/src/Module/Vmap
  sudo mount --bind src/module_vmap/web_services vas/src/Module/Vmap
  #mkdir -p vas/src/Module/Cadastre
  #sudo mount --bind src/module_cadastre/web_services vas/src/Module/Cadastre
  mkdir -p vas/engine/vitis
  sudo mount --bind src/vitis/engine/vitis vas/engine/vitis
fi