export const datasourceTreeviewWMSConnectionForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_url',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_URL',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_version',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_VERSION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'name',
            'description',
            'flux_url',
            'flux_version',
            'flux_login'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'WMS connexion',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_INSERT_WMS_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'textarea',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_url',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_URL',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_version',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_VERSION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'password',
            'name': 'flux_password',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_PASSWORD',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasourcetype_id',
            'default_value': 5,
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [{
          'type': 'button',
          'class': 'btn-ungroup btn-group-sm',
          'nb_cols': 10,
          'buttons': [
            {
              'type': 'submit',
              'name': 'form_submit',
              'label': 'FORM_CREATE',
              'id': 'form_submit_WMS_connection',
              'class': 'btn-primary'
            },
            {
              'type': 'button',
              'name': 'return_list',
              'label': 'CONFIRM_CANCEL',
              'class': 'btn-default',
              'id': 'return_list_WMS_connection',
              'event': 'cancelForm()'
            }
          ],
        }]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'name',
            'description',
            'flux_url',
            'flux_version',
            'flux_login',
            'flux_password',
            'datasourcetype_id',
            'form_submit',
            'return_list'
          ]
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'WMS connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'beforeEvent': 'refreshCapabilities()',
    'event': 'sendForm()',
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_UPDATE_WMS_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasource_id',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'textarea',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_url',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_URL',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_version',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_VERSION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'password',
            'name': 'flux_password',
            'label': 'DATASOURCE_FORM_WMS_CONNECTION_FLUX_PASSWORD',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasourcetype_id',
            'default_value': 5,
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [{
          'type': 'button',
          'class': 'btn-ungroup btn-group-sm',
          'nb_cols': 10,
          'buttons': [
            {
              'type': 'submit',
              'name': 'form_submit',
              'label': 'FORM_UPDATE',
              'class': 'btn-primary'
            },
            {
              'type': 'button',
              'name': 'return_list',
              'label': 'CONFIRM_CANCEL',
              'class': 'btn-default',
              'id': 'return_list_WMS_connection',
              'event': 'cancelForm()'
            }
          ],
        }]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'datasource_id',
            'name',
            'description',
            'flux_url',
            'flux_version',
            'flux_login',
            'flux_password',
            'datasourcetype_id',
            'form_submit',
            'return_list'
          ]
        }
      ]
    }
  }
};