import { defaultEmptyMapOptions, renderSymbolesLayerColumn, renderVisibleLayerColumn } from '../DatasourceTreeviewFormVar';

export const datasourceTreeviewWMTSConnectionLayersForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'initEvent': 'prepareData()',
    'nb_cols': 12,
    'rows': [
      {
        'fields': [
          {
            'type': 'data_grid',
            'name': 'wmts_datagrid_layers',
            'options': {
              'searching': true,
              'refresh': false,
              'paging': true,
              'lengthMenu': [2, 3, 4, 5, 6, 7, 8, 9, 10, 20, 25, 50, 100],
              'pageLength': 7,
              'info': false,
              'select': {
                'style': 'multi',
                'selector': 'tr'
              },
              'autoWidth': false,
              'columns': [
                {
                  'data': 'visible',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_VISIBLE',
                  'render': renderVisibleLayerColumn
                },
                {
                  'data': 'name',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_NAME'
                },
                {
                  'data': 'title',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_TITLE'
                },
                {
                  'data': 'style',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_STYLE'
                },
                {
                  'data': 'format',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_FORMAT'
                },
                {
                  'data': 'matrix',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_MATRIX'
                },
                {
                  'data': 'isLoaded',
                  'title': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_LOADED',
                  'render': renderSymbolesLayerColumn
                }
              ],
              'buttons': [
                {
                  'type': 'button',
                  'class': 'btn-info mb-2',
                  'label': 'DATASOURCE_FORM_WMTS_CONNECTION_LAYERS_GRID_ADD_LAYERS',
                  'icon': 'fa fa-plus',
                  'event': 'addLayers()'
                }
              ]
            },
            'nb_cols': 12
          }]
      },
      {
        'fields': [
          {
            'type': 'map_vmap',
            'name': 'wmts_map_layers',
            'nb_cols': 12,
            'style': {
              'height': '375px'
            },
            'map_options': JSON.parse(JSON.stringify(defaultEmptyMapOptions))
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasource_id'
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'wmts_map_layers',
            'wmts_datagrid_layers',
            'datasource_id'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'WMTS connexion',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'WMTS connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  }
};