import { Component, Input, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Map } from 'ol';
import { VmapToolsService } from 'src/modules/vmap/components/carto/services/vmap-tools/vmap-tools.service';
import { MapToolDef } from '../../map-tools.model';

@Component({
  selector: 'app-vmap-tools-refresh',
  templateUrl: './vmap-tools-refresh.component.html',
  styleUrls: ['./vmap-tools-refresh.component.scss']
})
export class VmapToolsRefreshComponent implements OnInit {

  @Input() olMap: Map;
  @Input() oTool: MapToolDef;

  constructor(
    private router: Router,
    private vmapToolsService: VmapToolsService,
  ) { }

  ngOnInit(): void {
  }

  /**
   * Rafraîchit la map en ne conservant rien (comme si on faisait F5)
   *
   */
  public reloadMap(): void {
    this.vmapToolsService.reloadMap(this.olMap);
  }

  /**
   * Rafraîchit les couches
   *
   */
  public refreshLayers(): void {
    this.vmapToolsService.refreshMap(this.olMap);
  }
}
