import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { VitisCheck } from 'src/app/vitis/core/services/utils/vitis-utils';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { JsonSymbologyStyle } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-default-fields-polygon',
  templateUrl: './default-fields-polygon.component.html',
  styleUrls: ['./default-fields-polygon.component.scss']
})
export class DefaultFieldsPolygonComponent implements OnInit {

  @Input() oField: JsonSymbologyStyle;
  @Input() sAttribut: string;
  @Output() isValidField = new EventEmitter<any>();

  constructor(
    private service: LayerSymbologyService,
    private vitisCheck: VitisCheck,
  ) { }

  ngOnInit(): void {
  }

  get symbols() {
    return this.service.symbols['_value'];
  }

  /**
   * Retourne true si le champ doit être en lecture seule
   * @returns
   */
  public isReadonly() {
    return (this.vitisCheck.isDefAndNotNull(this.oField.otherFields.polygonSymbolRepeat)
      || this.vitisCheck.isDefAndNotNull(this.oField.otherFields.polygonSymbolCenter));
  }

}
