import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { JsonSymbologyStylesSymbolCenter, JsonSymbologyStylesSymbolRepeat } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-polygon-symbol',
  templateUrl: './polygon-symbol.component.html',
  styleUrls: ['./polygon-symbol.component.scss']
})
export class PolygonSymbolComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesSymbolCenter | JsonSymbologyStylesSymbolRepeat;
  @Input() sAttribut: string;
  @Input() sXYPattern: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesSymbolCenter> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  constructor(private service: LayerSymbologyService) { }

  ngOnInit(): void {
  }

  get symbols() {
    return this.service.symbols['_value'];
  }


}
