import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MapToolsDesignerComponent } from './map-tools-designer.component';
import { MultiTranslateHttpLoader } from 'ngx-translate-multi-http-loader';
import { TranslateLoader, TranslateModule } from '@ngx-translate/core';
import { environment } from 'src/environments/environment';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { FormreaderModule } from 'src/app/vitis/formreader/formreader.module';
import { MapCoreModule } from 'src/app/vitis/map-core/map-core.module';
import { routing } from './map-tools-designer.route';
import { ControlsEnabledComponent } from './controls-enabled/controls-enabled.component';
import { ToolsEnabledComponent } from './tools-enabled/tools-enabled.component';
import { FormsModule } from '@angular/forms';
import { SharedModule } from 'src/app/vitis/shared/shared.module';

/**
 * Chargement des fichiers de traduction
 * @param http
 * @returns
 */
export function HttpLoaderFactory(http: HttpClient) {
  return new MultiTranslateHttpLoader(http, environment.appStruct['translate']);
}

@NgModule({
  declarations: [
    MapToolsDesignerComponent,
    ControlsEnabledComponent,
    ToolsEnabledComponent
  ],
  imports: [
    SharedModule,
    MapCoreModule,
    FormreaderModule,
    CommonModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing,
    FormsModule
  ],
})
export class MapToolsDesignerModule { }
