import { JsonSymbology, JsonSymbologyClass } from './json-symbology-class.model';

export class JsonSymbologyExpressionOpacity { // Opacité
  opacity: number;

  constructor(style: any = {}) {
    this.opacity = style && style.opacity ? style.opacity : 1;
  }
}

export class JsonSymbologyExpressionVisibility { // Visibilité
  minscale: number;
  maxscale: number;

  constructor(style: any = {}) {
    if (style) {
      this.minscale = style.minscale;
      this.maxscale = style.maxscale;
    }
  }
}

export class ExpressionSubFields {
  opacity?: JsonSymbologyExpressionOpacity;
  visibility?: JsonSymbologyExpressionVisibility;
}

/**
 * JSON SYMBOLOGY SIMPLE EXPRESSION MODEL
 */
export class JsonSymbologyExpression extends JsonSymbology {
  classes: Array<JsonSymbologyClass>;

  otherFields?: ExpressionSubFields = {};
  symbolscaledenom?: number;

  constructor(oDefSym: any = {}) {
    super();

    this.type = 'expression';

    this.classes = [];
    if (oDefSym.classes) {
      oDefSym.classes.forEach((classDef, index) => {
        classDef.id = index;
        this.classes.push(new JsonSymbologyClass(classDef, 'expression'));
      });
    }

    this.otherFields = new ExpressionSubFields();
    oDefSym.otherFields = oDefSym.otherFields ?? new ExpressionSubFields(); // Evite le oDefSym.otherFields undefined
    this.otherFields.opacity = new JsonSymbologyExpressionOpacity(oDefSym.otherFields.opacity ? oDefSym.otherFields.opacity : {});
    this.otherFields.visibility = new JsonSymbologyExpressionVisibility(oDefSym.otherFields.visibility ? oDefSym.otherFields.visibility : {});
    this.symbolscaledenom = oDefSym.symbolscaledenom;
  }
}