/**
 *
 * Fichier servant à l'injection de composants et modules angular
 * présents sur les modules Vitis et ne devant pas faire partie
 * du code du noyeau.
 *
 *
 * Exemple : import d'un composant et d'un module
 *
 * import { VmapAdminDatasourceModule } from './admin-datasource/admin-datasource.module';
 * export const oVmapModules = { VmapAdminDatasourceModule };
 * export const oVmapModulesComponents = {};
 *
 *
 *
 *
 * Exemple : import d'un module en lazy loading
 *
 * export const oModules = { VmapModule: import('src/app/modules/vmap/vmap.module').then(m => m.VmapModule) };
 * export const oModulesComponents = { };
 */

import { VmapAdminDatasourceModule } from './admin-datasource/admin-datasource.module';
import { VmapCartoModule } from './carto/carto.module';
import { SectionLayerSymbologyModule } from './layer-symbology/section-layer-symbology/section-layer-symbology.module';
import { MapToolsDesignerModule } from './map-tools-designer/map-tools-designer.module';

export const oVmapModules = { VmapAdminDatasourceModule, VmapCartoModule, SectionLayerSymbologyModule, MapToolsDesignerModule };
export const oVmapModulesComponents = { };
export const oVmapWkListComponents = {};