import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule } from '@angular/forms';
import { ApiDocComponent } from './api-doc.component';
import { routing } from './api-doc.routing';

/**
 * Module workspacelist sans routing
 */
@NgModule({
  imports: [
    SharedModule,
    CommonModule,
    FormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing,
  ],
  declarations: [
    ApiDocComponent,
  ],
  exports: [],
})
export class ApiDocModule { }
