import { Injectable } from '@angular/core';
import { CheckService } from '../check/check.service';

@Injectable({
  providedIn: 'root'
})
export class CloneService {

  constructor(
    public vitisCheck: CheckService
  ) { }

  /**
   * Clone une valeur
   * @param val
   * @returns
   */
  public clone(val: any) {

    let clonnedVal = val;

    if (this.vitisCheck.isDefAndNotNull(val)) {
      if (this.vitisCheck.isString(val)) {
        // String
        clonnedVal = `${val}`;
      } else if (this.vitisCheck.isNumber(val)) {
        // Number
        clonnedVal = Number(`${val}`);
      } else if (this.vitisCheck.isArray(val)) {
        // Array
        try {
          clonnedVal = JSON.parse(JSON.stringify(val));
        } catch (error) {
          clonnedVal = [...val];
        }
      } else if (this.vitisCheck.isObject(val)) {
        // object
        try {
          clonnedVal = JSON.parse(JSON.stringify(val));
        } catch (error) {
          clonnedVal = { ...val };
        }
      }
    }

    return clonnedVal;
  }
}