import { WorkspaceListColumn, WorkspaceListButton } from '../workspacelist/workspacelist.model';

/**
 * Définition du composant de type DataGrid
 */
export class DataGridDefinition {
  id_field?: string; // (ex: order_id) colonne id de l'API
  columns: Array<WorkspaceListColumn>; // Définition des colonnes
  buttons: Array<WorkspaceListButton>; // Définition des boutons
}

export class DataGridOptions {
  datatableOptions: any = {};
  buttons?: Array<any>;
  customTemplateComponents?: Array<any>;
  datagridOptions?: any = {};
  displayEvent?: Function;  // Evènement appelé par le bouton "display".
  updateEvent?: Function;  // Evènement appelé par le bouton "update".
  observableData?;
  loadingData_?: boolean; // True/false suivant si on est en train de charger de la donnée;
}