import { Directive, Input, ElementRef, Renderer2, AfterViewInit } from '@angular/core';
import { VitisCheck } from 'src/app/vitis/core/services/utils/vitis-utils';

@Directive({
  selector: '[appFormFieldNgFor]'
})
export class FormFieldNgForDirective implements AfterViewInit {

  @Input() oField: any;

  constructor(private el: ElementRef, private renderer: Renderer2, private vitisCheck: VitisCheck) {
  }

  ngAfterViewInit() {
    this.init_();
  }

  /**
   * Paramétrage pour chaque champs du formulaire.
   */
  private init_() {
    const element = this.el.nativeElement;

    // Attribut "autocomplete".
    if (this.vitisCheck.isDefAndNotNull(this.oField.autocomplete)) {
      const input = element.querySelector('[ng-reflect-name=\'' + this.oField.name + '\']');
      if (this.oField.autocomplete) {
        this.renderer.setAttribute(input, 'autocomplete', 'on');
      } else {
        this.renderer.setAttribute(input, 'autocomplete', 'off');
      }
    }
  }
}
