import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { LoginComponent } from './login.component';
import { routing } from './login.routing';
import { FormreaderModule } from '../formreader/formreader.module';
import { MarkdownModule } from 'ngx-markdown';
import { ForgottenPasswordComponent } from './components/forgotten-password/forgotten-password.component';
import { SignupComponent } from './components/signup/signup.component';

/**
 * Module workspacelist sans routing
 */
@NgModule({
  imports: [
    SharedModule,
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    FormreaderModule,
    MarkdownModule.forRoot(),
    routing,
  ],
  declarations: [
    LoginComponent,
    ForgottenPasswordComponent,
    SignupComponent
  ],
  exports: [],
})
export class LoginModule { }
