import { Component, OnInit, Input } from '@angular/core';
import { environment } from 'src/environments/environment';

@Component({
  selector: 'app-logo',
  templateUrl: './app-logo.component.html',
  styleUrls: ['./app-logo.component.scss']
})
export class AppLogoComponent implements OnInit {

  public appName: String = 'Vitis';
  public appLogo: any = {
    type: 'icon',
    class: 'icon-vitis-vitis'
  };
  public appVersion: String = '2020';

  constructor() { }

  ngOnInit() {
    // Nom de l'application
    if (environment.appStruct.name) {
      this.appName = environment.appStruct.name;
    }

    // Logo de l'application
    if (environment.appStruct.logo) {
      if (environment.appStruct.logo.type) {
        this.appLogo = environment.appStruct.logo;
      }
    }

    if (environment.properties) {
      // Version de l'application
      if (environment.properties.version) {
        this.appVersion = environment.properties.version;
      }
    }
  }
}
