import { Component, ElementRef, Input, OnInit, ViewChild } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
declare var $: any;

interface TooltipConfig {
  container?: string;
  content?: string;
  html?: boolean;
  title?: string;
  trigger?: string;
  placement?: string;
}

@Component({
  selector: 'app-tooltip',
  templateUrl: './tooltip.component.html',
  styleUrls: ['./tooltip.component.scss']
})
export class TooltipComponent implements OnInit {

  @Input() container: string;
  @Input() title: string;
  @Input() content: string;
  @Input() icon: string = 'fa-info-circle';
  @Input() placement: string;
  @ViewChild('tooltip', { static: true, read: ElementRef }) tooltip: ElementRef;

  public invisible: boolean;

  constructor(private translate: TranslateService) { }

  ngOnInit() {
    let iConfig: TooltipConfig;

    if (this.content) {
      this.invisible = false;
      iConfig = {
        container: this.container ?? 'body',
        content: this.content ? this.translate.instant(this.content) : '',
        html: true,
        title: this.title ? this.translate.instant(this.title) : '',
        trigger: 'hover',
        placement: this.placement ?? 'auto'
      };
      $(this.tooltip.nativeElement).popover(iConfig);
    } else {
      this.invisible = true;
    }
  }

}
