/**
 * Options studio
 */
export class StudioOptions {
  module: string; // Module pour lequel le studio est utilisé
  ressource: string; // Ressource permettant de récupérer les différents formulaires
  ressource_result_attr: string; // Expression JMESPATH designant où se situe le formulaire le résultat
  js_ressource_result_attr: string; // Expression JMESPATH designant où se situe le js du le résultat
  available_form_types: Array<string>; // Types de formulaires disponibles (custom, published...)
  default_form_type: string; // Type de formulaire utilisé par défaut
  available_form_names: Array<string>; // Nom de formulaires disponibles (insert, update, serach...)
  default_form_name: string; // Nom de formulaire utilisé par défaut
  field_list_ressource?: string; // Ressource permettant de récupérer la liste des champs disponibles
  field_list_ressource_result_attr?: string; // Expression JMESPATH designant où se situe le resultat (un tableau d'objet)
  attr_form_fields_list: Array<string>; // Liste des types de champs disponible (['radio', 'map_bing', 'map_osm', 'map_vmap', 'date', 'datetime', 'upload', 'hr', 'title', 'label', 'list', 'select', 'integer', 'float', 'slider', 'text', 'textarea', 'email', 'password', 'url', 'hidden', 'color_picker'])
  attr_form_fields_specification: any; // Modification à apporté sur les attributs de attr_form_fields
}

// Exemple ajout multiple pour upload
// attr_form_fields_specification: {
//   upload: {
//     multiple: true
//   }
// }