import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { StudioComponent } from './studio.component';
import { StudioConfigurationComponent } from './components/configuration/configuration.component';
import { StudioAttrFormComponent } from './components/attr-form/attr-form.component';
import { StudioAttrListComponent } from './components/attr-list/attr-list.component';
import { StudioAttrTypeListComponent } from './components/attr-type-list/attr-type-list.component';
// tslint:disable-next-line:max-line-length
import { StudioDataSourceManagerComponent } from './components/data-source-manager/data-source-manager.component';
import { StudioPreviewComponent } from './components/preview/preview.component';
// tslint:disable-next-line:max-line-length
import { StudioDataSourceTextComponent } from './components/data-source-manager/components/data-source-text/data-source-text.component';
// tslint:disable-next-line:max-line-length
import { StudioDataSourceWebServiceComponent } from './components/data-source-manager/components/data-source-web-service/data-source-web-service.component';
// tslint:disable-next-line:max-line-length
import { StudioDataSourceExternalApiComponent } from './components/data-source-manager/components/data-source-external-api/data-source-external-api.component';
// tslint:disable-next-line:max-line-length
import { StudioDataSourceExternalDatabaseComponent } from './components/data-source-manager/components/data-source-external-database/data-source-external-database.component';
// tslint:disable-next-line:max-line-length
import { StudioDataSourceLocalTableComponent } from './components/data-source-manager/components/data-source-local-table/data-source-local-table.component';
import { StudioTabsManagerComponent } from './components/tabs-manager/tabs-manager.component';
import { FormsModule } from '@angular/forms';
import { routing } from './studio.routing';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { FormreaderModule } from '../formreader/formreader.module';
import { MonacoEditorModule } from 'ngx-monaco-editor';
import { ColorPickerModule } from 'ngx-color-picker';
import { FieldListModalComponent } from './components/field-list-modal/field-list-modal.component';



@NgModule({
  declarations: [
    StudioComponent,
    StudioConfigurationComponent,
    StudioAttrFormComponent,
    StudioAttrListComponent,
    StudioAttrTypeListComponent,
    StudioDataSourceManagerComponent,
    StudioPreviewComponent,
    StudioDataSourceTextComponent,
    StudioDataSourceWebServiceComponent,
    StudioDataSourceExternalApiComponent,
    StudioDataSourceExternalDatabaseComponent,
    StudioDataSourceLocalTableComponent,
    StudioTabsManagerComponent,
    FieldListModalComponent
  ],
  exports: [],
  imports: [
    SharedModule,
    MonacoEditorModule,
    FormreaderModule,
    FormsModule,
    CommonModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    MonacoEditorModule,
    routing,
    ColorPickerModule
  ]
})
export class StudioModule { }
