import { Component, OnInit, Input } from '@angular/core';
import { environment } from 'src/environments/environment';

@Component({
  selector: 'app-wklist-url',
  templateUrl: './url.component.html',
  styleUrls: ['./url.component.scss']
})
export class WklistUrlComponent implements OnInit {

  @Input() url: any;  // Url du lien.
  @Input() label: string; // Libellé du lien.
  @Input() align: string; // Alignement horizontal de l'élément (left, right, center).
  @Input() target: string; // _self,_blank,_parent,_top
  @Input() type: string; // Type de lien (internal, external).

  constructor(
  ) { }

  ngOnInit() {
    // Si c'est un lien interne : ajoute l'url de l'application.
    if (this.type == 'internal') {
      this.url = environment.properties.app_client_url + '/' + this.url;
    }
  }
}
