/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Initialisation des valeurs par défaut
   */
  scope.initEvent = function () {

  }

  /**
   * Fonction appelée après l'envoi du formulaire
   * @return {boolean|promise}
   */
  scope.afterEvent = function () {

    // Cache la modale
    $('#dashboard-simpleform-modal').modal('hide');
    return true
  }

  /**
   * Envoi la requête de création de compte
   */
  scope.sendFormSignUp = function () {
    if (scope.isFormValid()) {
      const values = scope.getFormValues();

      // Récupération des données du form
      const formData = services.formreaderSrvc.transformToDataForm(values);

      services.vitisRequest.ajaxRequestPromise({
        method: 'POST',
        url: env.properties.app_api_url + '/vitis/accounts/signup',
        data: formData
      }).then((resp) => {
        if (resp.data) {
          if (resp.data.status === 1) {
            services.translate.get('CHECKMAIL').subscribe(($translate) => {
              // Ferme la popup.
              scope.afterEvent();
              //
              vitisAlert.fireToast({
                type: 'success',
                text: $translate
              });
            });
          }
        }
      }).catch((e) => {
        // On vide le captcha
        const captchaField = scope.getFormField('captcha');
        captchaField.setValue('');
      });
    }
  }
}
