# Changement dans l'utilisation de l'API

## Headers HTTP

* Le token d'authentification est stocké dans le header HTTP **Authorization**.
* Le header **Accept** est utilisé pour définir le format de retour de l'API 

## Les données sont dans l'attribut data

Avant il était possible d'avoir deux types de retour selon le content-type :
*  application/json : les données étaient dans un tableau dans un attribut du nom de la ressource
*  application/x-vm-json : les données étaient dans un tableau dans un attribut **data**

Désormais avec l'API V2 les données sont stocké dans un attribut data.

Exemple de retour de la ressource vitis/groups en V1

* application/json : 
```json
{
  "groups": [
    {
      "group_id": 1,
      "name": "Administration",
      "nb_members": 18
    },
    {
      "group_id": 51,
      "name": "Administratif Veremes",
      "nb_members": 1
    }
  ],
  "list_count": 2,
  "total_row_number": 2,
  "status": 1
}
```
* application/x-vm-json : 
```json
{
  "data": [
    {
      "group_id": 1,
      "name": "Administration",
      "nb_members": 18
    },
    {
      "group_id": 51,
      "name": "Administratif Veremes",
      "nb_members": 1
    }
  ],
  "list_count": 2,
  "total_row_number": 2,
  "status": 1
}
```

Exemple de retour de la ressource vitis/groups en V2

* application/x-vm-json et application/json : 
```json
{
  "data": [
    {
      "group_id": 1,
      "name": "Administration",
      "nb_members": 18
    },
    {
      "group_id": 51,
      "name": "Administratif Veremes",
      "nb_members": 1
    }
  ],
  "list_count": 2,
  "total_row_number": 2,
  "status": 1
}
```

## Les routes qui ne doivent retourner qu'une entité ne retourne plus de tableau

Pour une route de type /module/ressource/id nous avions un retour du type : 
```json
{
  "data": [
    {
      "nb_members": n,
      "group_id": 1,
      "name": "Administration",
      "users": "...",
      "users_label": "..."
    }
  ],
  "status": 1
}
```

En V2, il n'y a plus de tableau : 

```json
{
  "data": {
      "nb_members": n,
      "group_id": 1,
      "name": "Administration",
      "users": "...",
      "users_label": "..."
    },
  "status": 1
}
```

# Changements dans les formulaires

## Formulaire de carte

### Les transformations dans le json
Dans map_options => controls :

- cp devient map_projection