# Installation VAS

Installer [PHP 7.4.5](https://veremes-dev-ressources.s3.eu-west-3.amazonaws.com/dependencies/php-7.4.5.zip) dans `/var/lib/php-7.4.5`.

Modifier le php.ini : 
- Remplacer `[VAS_DIRECTORY]/server/php` par `/var/lib/php-7.4.5`
- Vérifier la présence des extension : 

``` ini
extension=gmp
extension=sodium
```
- Ajouter des droit en exécution : 
```bash
sudo chmod +x /var/lib/php-7.4.5/bin/php
sudo chmod +x /var/lib/php-7.4.5/bin/php-cgi
```

Installer ensuite [Composer](https://getcomposer.org/download/) : 

``` bash
cd /var/lib/php-7.4.5/bin
./php -r "copy('https://veremes-dev-ressources.s3.eu-west-3.amazonaws.com/dependencies/php-7.3.8/composer-setup.php', 'composer-setup.php');"
./php composer-setup.php
./php -r "unlink('composer-setup.php');"
```

ajouter un alias sur votre commande composer dans **~/.bashrc** : 

``` bash
alias composer="/var/lib/php-7.4.5/bin/php /var/lib/php-7.4.5/bin/composer.phar"
```

Installer Symfony 
``` bash
wget https://get.symfony.com/cli/installer -O - | bash
```

Ajouter les commandes symfony et php dans **~/.bashrc**

``` bash
export PATH="/var/lib/php-7.4.5/bin:$HOME/.symfony/bin:$PATH"
```

Une fois dans le dossier **vas**, lancer `composer install` pour installer l'ensemble des dépendances dans le dossier `vendor`.

Copier le dossier `src/[MODULE]/config.sample` vers `src/[MODULE]/config`, c'est dans ce dernier que se fera la configuration de la partie cliente.

Il faut générer des certificats pour utiliser l'API en HTTPS avec la commande suivante : 

``` bash
sudo apt install libnss3-tools
symfony server:ca:install
```

### Configuration

Copier `vas/src/Module/Vitis/conf.sample` dans `vas/src/Module/Vitis/conf` puis remplir la variable `vas_dir`

### Serveur de développement

Vous pourez visualiser les version des php disponible avec la commande `symfony local:php:list`.

Pour choisir une version de php spécifique il faut éditer le fichier `vas/.php-version`.

Lancer `symfony serve --document-root=public` dans le dossier **vas** pour lancer un serveur de développement avec php-cgi. Un serveur se lancera automatiquement sur `https://127.0.0.1:8000/`. 

### Obtenir des informations pour le développeur

Si vous avez un doute sur la version de symfony utilisée, ou sur votre environnement, vous pouvez récupérer des informations sur votre installation via la commmande : 

``` bash
cd vas
/var/lib/php-7.4.5/bin/php bin/console about
```

### Controler l'installation 

Pour vérifier qu'un paquet installer via composer n'a pas une faille de sécurité : 

``` bash
cd vas
symfony check:security
```

Pour vérifier que votre installation rempli bien les condition pour une bonne utilisation de l'application en dev

``` bash
cd vas
symfony check:requirements
```

# Outils à installer

* VScode
* git / gitKraken
* Apache 2.4
* Postman

# Structure

* **vas** : ensemble des fichier de la partie serveur
* vas/**bin** : ensemble des exécutables utilisables par le serveur
* vas/**conf** : ensemble des fichier de configuration yml, php, xml pour symfony
* vas/**public** : Contient le point d'entrée du serveur
* vas/**src** : Fichier sources de l'application 
* vas/src/Module/**[Module]** : Contient les fichiers sources pour un module
* vas/src/Module/[Module]/**conf** : properties du module au format Json
* vas/src/Module/[Module]/**sql** : Contient le code SQL à exécuter par VAI
* vas/src/Module/[Module]/**WebService** : Contient le code PHP du serveur
* vas/src/Module/[Module]/WebService/**Controller** : Ensemble des fichiers qui vont permettre de mettre en place l'API
* vas/src/Module/[Module]/WebService/**Entity** : Ensemble des classe Doctrine 2 qui vont permettre d'interagir avec la base de données
* vas/src/Module/[Module]/WebService/**Query/Functions** : Ensemble des Fonction SQL pouvant être utilisé dans le DQL
* vas/src/Module/[Module]/WebService/**Service** : Ensemble des services du module
* vas/src/Module/[Module]/WebService/**module.json** : Configuration spécifique du module
* vas/src/Module/[Module]/WebService/**routes.json** : Ensemble des routes du module
* vas/src/Module/[Module]/**services.yml** : Permet le chargement des classes par symfony
* vas/src/**Kernel.php** : charge la configuration de vas/**conf** et initialise le routage
* vas/**vendor** : Ensemble des librairies installé avec composer
* vas/**var** : Fichier utilisé par le serveur (contient public, upload, ws_data, ...)
* vas/**.env** : contient des variable spécifique à votre environnement
