# Installation VAS

Installer [PHP 7.4.23](https://veremes-dev-ressources.s3.eu-west-3.amazonaws.com/dependencies/php-7.4.23-win.zip) dans `C:\Program Files\php-7.4.23`.

Ajouter une variable d'environnement dans "path" avec pour valeur `C:\Program Files\php-7.4.23`

Installer ensuite [Composer](https://getcomposer.org/download/) : 

Ouvrir un terminal de commande en tant qu'administrateur puis exécuter :

``` bash
cd "C:\Program Files\Php"
php -r "copy('https://veremes-dev-ressources.s3.eu-west-3.amazonaws.com/dependencies/php-7.3.8/composer-setup.php', 'composer-setup.php');"
php composer-setup.php
php -r "unlink('composer-setup.php');"
```

Vérifier sa bonne installation en exécutant la commande :

```bash
composer
```

Dans le php.ini : 
  Vérifier la présence des extension (ou à décommenter)(Il est possible selon l'installation faite de devoir activer plus d'extensions) : 

``` ini
extension=gmp
extension=sodium
extension=ldap
```

Télécharger et Installer Symfony :

https://symfony.com/download

Pour vérifier la bonne installation, exécuter cette commande dans un nouveau terminal :

```bash
symfony
```

Une fois dans le dossier **vas**, lancer `composer install` pour installer l'ensemble des dépendances dans le dossier `vendor`.

Copier le dossier `src/[MODULE]/conf.sample` vers `src/[MODULE]/conf`, c'est dans ce dernier que se fera la configuration de la partie cliente.

Il faut générer des certificats pour utiliser l'API en HTTPS avec la commande suivante : 

``` bash
symfony server:ca:install
```

### Configuration

Copier `vas/src/Module/Vitis/conf.sample` dans `vas/src/Module/Vitis/conf` puis remplir la variable `vas_dir`

### Serveur de développement

Vous pourez visualiser les version des php disponible avec la commande `symfony local:php:list`.

Pour choisir une version de php spécifique il faut éditer le fichier `vas/.php-version`.

Lancer `symfony serve --document-root=public` dans le dossier **vas** pour lancer un serveur de développement avec php-cgi. Un serveur se lancera automatiquement sur `https://127.0.0.1:8000/`. 

### Obtenir des informations pour le développeur

Si vous avez un doute sur la version de symfony utilisée, ou sur votre environnement, vous pouvez récupérer des informations sur votre installation via la commmande : 

``` bash
cd vas
php bin/console about
```

### Controler l'installation 

Pour vérifier qu'un paquet installer via composer n'a pas une faille de sécurité : 

``` bash
cd vas
symfony check:security
```

Pour vérifier que votre installation rempli bien les condition pour une bonne utilisation de l'application en dev

``` bash
cd vas
symfony check:requirements
```
