import fs from 'fs';
import path from 'path';
import { Logger } from "vitis-engine-lib";
import { Db } from "vitis-engine-lib";
import { LocalFS } from "vitis-engine-lib";
import PDFMerger from 'pdf-merger-js';


/**
 * Fusionne des PDF
 */
export async function concatPdf_(oProperties: any, oDb: Db, oLogger: Logger, oLocalFS: LocalFS, args: any) {
  // récupération du dossier passé en argument
  const sInputFolder : string = args.inputFolder;
  // récupération de la destination
  const sOutputFile : string = args.OutputFileName;

  if (!fs.existsSync(sInputFolder)) {
    oLogger.log(sInputFolder + ' doesn\'t exist', null, 'ERROR');
    return false;
  }
  if (!fs.existsSync(path.dirname(sOutputFile))) {
    oLogger.log(sOutputFile + ' parent directory doesn\'t exist', null, 'ERROR');
    return false;
  }
  
  // listing des fichier pdf de premier niveau
  const aFilenames : string[] = fs.readdirSync(sInputFolder);
  // ordre croissant/alphabétique
  aFilenames.sort();
  
  const oPdfMerger = new PDFMerger();
  
  // merge de chaque fichier globalement
  for (const sFilename of aFilenames){
    
    if (path.extname(sFilename) !== '.pdf') {
      oLogger.log(sFilename + ' is not a pdf', null, 'WARNING');
      continue;
    }

    oPdfMerger.add(sInputFolder + '/' + sFilename);
  }

  // écriture dans le dossier de sortie
  await oPdfMerger.save(sOutputFile);
  return true;
}