import yargs from 'yargs';

/**
 * utilisation de yargs pour gérer l'aide sur engine
 */
export const args = yargs
  .usage('$0 <cmd> [OPTIONS]')
  .command('runCommand', 'Lance une commande',
    {
      'command': {
        describe: "Commande à lancer",
        demandOption: true,
        nargs: 1,
        type: "string",
      },
      'user': {
        describe: "Utilisateur système",
        demandOption: false,
        nargs: 1,
        type: "string",
      },
      'cwd': {
        describe: "Chemin d'execution",
        demandOption: false,
        nargs: 1,
        type: "string",
      }
    })
  .command('runCommandSync', 'Lance une commande de manière synchrone',
    {
      'command': {
        describe: "Commande à lancer",
        demandOption: true,
        nargs: 1,
        type: "string",
      },
      'user': {
        describe: "Utilisateur système",
        demandOption: false,
        nargs: 1,
        type: "string",
      },
      'cwd': {
        describe: "Chemin d'execution",
        demandOption: false,
        nargs: 1,
        type: "string",
      }
    })
  .wrap(null)
  .help('help')
  .alias('h', 'help')
  .version(false)
  .locale('fr')
  .strict() // bloque les commandes non connues
  .argv;