<?php

namespace App\Module\Vitis\WebService\EventListener;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\Common\EventArgs;

/**
 * Cet event sera émis aprés l'instanciation de l'entité et avant la dénormalisation des données à l'intérieur.
 * 
 * @author Anthony Borghi <anthony.borghi@veremes.com> 
 */
class VitisEventArgs extends EventArgs {

  /**
   * @var AbstractEntity
   */
  private $object;

  /**
   * @param AbstractEntity $object
   */
  public function __construct(AbstractEntity $object) {
    $this->object = $object;
  }

  /**
   * Retourne l'entité contenu dans l'event.
   * @return AbstractEntity
   */
  public function getEntity(): AbstractEntity {
    return $this->object;
  }
}