<?php

namespace App\Module\Vitis\WebService\Service\Token;

use Jose\Component\Checker\ClaimChecker;
use Jose\Component\Checker\ExpirationTimeChecker;

final class ExpirationTimeCheckerManager implements ClaimChecker {
  /**
   * @var ExpirationTimeChecker
   */
  private $expirationTimeChecker;
  /**
   * 
   */
  public function __construct() {
    $this->expirationTimeChecker = new ExpirationTimeChecker();
  }

  /**
   * {@inheritdoc}
   *
   * @throws \Jose\Component\Checker\InvalidClaimException if the claim "exp" is not valid
   */
  public function checkClaim($value): void {
    if ($value !== null) {
      $this->expirationTimeChecker->checkClaim($value);
    }
  }

  /**
   * Get NAME from ExpirationTimeChecker
   */
  public function supportedClaim(): string {
    return $this->expirationTimeChecker->supportedClaim();
  }
}
