/**
 * Class Report
 * @param {object} opt_options
 */
RenderHtml = function (opt_options) {
    console.debug('render HTML')
    var this_ = this;

    this.includes = opt_options.includes;

    this.htmlDefinition = opt_options.htmlbody;

    var styleIndexStart = this.htmlDefinition.indexOf('<style');
    var styleIndexEnd = this.htmlDefinition.indexOf('</style>') + 8;

    if (styleIndexStart !== -1 &&
        styleIndexEnd !== -1) {
        var sStyle = this.htmlDefinition.substr(styleIndexStart, styleIndexEnd - styleIndexStart);
        $('head').append(sStyle);
    }

    var rendered = document.createElement("div");
    rendered.setAttribute('id', 'element_render')
    rendered.innerHTML = this.htmlDefinition;

    var $scope = angular.element($('#element_render')).scope();

    // Ajoute les attributs de opt_options.scope dans $scope
    for (var option in opt_options.scope) {
        $scope[option] = opt_options.scope[option];
    }

    var templateCompiled = $scope.$compile(rendered)($scope);
    $('#element_render').replaceWith(templateCompiled);

    $scope.$digest();

    this.addImgIncludes(opt_options.includes);
};

/**
 * Add the report includes from their definition
 * @param {array<object>} aIncludes
 */
RenderHtml.prototype.addImgIncludes = function (aIncludes) {

    if (typeof aIncludes !== 'object')
        return 0;

    for (var i = 0; i < aIncludes.length; i++) {

        var oIncludeDef = aIncludes[i];

        // Si target est défini
        if (typeof oIncludeDef['target'] !== 'undefined') {
            if (typeof oIncludeDef['imageUrl'] !== 'undefined') {
                $(oIncludeDef['target']).attr('src', oIncludeDef['imageUrl']);
            }
            if (typeof oIncludeDef['base64Image'] !== 'undefined') {
                $(oIncludeDef['target']).attr('src', oIncludeDef['base64Image']);
            }
            if (typeof oIncludeDef['html'] !== 'undefined') {

                oIncludeDef['html'] = decodeURIComponent(oIncludeDef['html']);
                oIncludeDef['html'] = oIncludeDef['html'].replace(/\n/g, '');
                oIncludeDef['html'] = oIncludeDef['html'].replace(/\\"/g, '"');

                $(oIncludeDef['target']).append(oIncludeDef['html']);
            }
        }

        delete oIncludeDef;
    }
};

/**
 * Print report App
 */
ngHtmlRender = angular.module("ngHtmlRender", ["ngSanitize"]);

/**
 * Print report controller
 * @param {object} $scope
 * @param {object} $compile
 */
ngHtmlRender.controller("rendererCtrl", function ($scope, $compile) {
    $scope.ctrl = this;
    $scope.$compile = $compile;
});