/* global ol, nsUtils */

/**
 * Class Template
 * @param {object} opt_options
 */
PrintTemplate = function (opt_options) {
    console.debug('PrintTemplate')
    var this_ = this;

    this.token = opt_options.token;

    this.apiUrl = opt_options.apiUrl;

    this.templateId = opt_options.templateId;

    this.styleId = opt_options.styleId;

    this.includes = opt_options.includes;

    this.templateDefinition = opt_options.templateDefinition;

    var template = document.createElement("div");
    template.innerHTML = this.templateDefinition;

    var $scope = angular.element($('#print_template')).scope();

    // Ajoute les attributs de opt_options.scope dans $scope
    for (var option in opt_options.scope) {
        $scope[option] = opt_options.scope[option];
    }

    var templateCompiled = $scope.$compile(template)($scope);

    $('#print_template').append(templateCompiled);

    $scope.$digest();

    this.addTemplateIncludes(opt_options.includes);
};

/**
 * Add the template includes from their definition
 * @param {array<object>} aIncludes
 */
PrintTemplate.prototype.addTemplateIncludes = function (aIncludes) {

    if (typeof aIncludes !== 'object')
        return 0;

    for (var i = 0; i < aIncludes.length; i++) {

        var oIncludeDef = aIncludes[i];

        // Si target est défini
        if (typeof oIncludeDef['target'] !== 'undefined') {
            if (typeof oIncludeDef['imageUrl'] !== 'undefined') {
                $(oIncludeDef['target']).attr('src', oIncludeDef['imageUrl']);
            }
            if (typeof oIncludeDef['base64Image'] !== 'undefined') {
                $(oIncludeDef['target']).attr('src', oIncludeDef['base64Image']);
            }
            if (typeof oIncludeDef['html'] !== 'undefined') {

                oIncludeDef['html'] = decodeURIComponent(oIncludeDef['html']);
                oIncludeDef['html'] = oIncludeDef['html'].replace(/\n/g, '');
                oIncludeDef['html'] = oIncludeDef['html'].replace(/\\"/g, '"');

                $(oIncludeDef['target']).append(oIncludeDef['html']);
            }
        }

        delete oIncludeDef;
    }
};

/**
 * Print template App
 */
ngPrintTemplate = angular.module("ngPrintTemplate", ["ngSanitize"]);

/**
 * Print template controller
 * @param {object} $scope
 * @param {object} $compile
 */
ngPrintTemplate.controller("printCtrl", function ($scope, $compile) {

    $scope.ctrl = this;

    $scope.$compile = $compile;
});