
/**
 * Options pour composant de type directory
 */
export class DirectoryOptions {
  module: string; // Nom du module à utiliser pour l'API
  ressource: string; // URL vers la ressource API (ex : vitis/exploitations/shareddirectory)
  parent_folder_name?: string; // npm du répertoire parent (ex: "/shared",)
  hide_first_folder?: boolean; // si true alors cache le premier dossier
  hover_download?: boolean; // si true alors active le bouton de téléchargement au survol
  hover_delete?: boolean; // si true alors active le bouton de suppression au survol
  sort_folders_first?: boolean; // tri des dossiers en premier, faut true par défaut
  treeview_config?: any; // Configuration treeview
  buttons?: Array<DirectoryButton>;
  subroute: DirectorySubrouteConfig; // Configurations des routes
  load_object_data?: boolean; // Charge les donnée de l'objet parent si nécéssaire, on utilisera l'url de base (default : false)
}

/**
 * Options boutons
 */
export class DirectoryButton {
  type: string; // button / group
  name?: string; // Name HTML
  title?: string; // Title HTML
  class?: string; // classe bouton
  icon?: string; // Icône
  event?: string; // Fonction événement
  disabled?: string; // Fonction événement
  param?: string; // Fonction événement
  buttons?: Array<DirectoryButton>; // En cas de type=group
}

export class DirectorySubrouteConfig {
  getTree: string; // élément de route à ajoute à la base pour récupérer l'arbre
  createDirectory: string; // élément de route à ajoute à la base pour créer un dossier
  deleteItem: string; // élément de route à ajoute à la base pour supprimer un dossier ou un fichier
  sendFile: string; // élément de route à ajoute à la base pour uploader un fichier
}